{--------------------------------------------------------}
{                  papovox - mensagens
{--------------------------------------------------------}

unit ppMsg;
interface
uses dvCrt, dvWin, winprocs, wintypes;

procedure mensagem (nomeArq: string; nlf: integer);
procedure bipSpeaker (pitch: integer);

implementation

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;
begin
    if nomeArq = 'PPINIC' then
        s := 'Papovox - v'
    else
    if nomeArq = 'PPOPCAO' then
        s := 'Qual sua opcao: '
    else
    if nomeArq = 'PPCNFFIM' then
        s := 'Confirma fim ? '
    else
    if nomeArq = 'PPFIM' then
        s := 'Até a próxima'
    else
    if nomeArq = 'PPAPTF1' then
        s := 'Opção inválida, aperte F1 para ajuda'
    else
    if nomeArq = 'PPAJUD0' then
        s := 'As opções são as seguintes:'
    else
    if nomeArq = 'PPAJUD1' then
        s := 'P - pesquisa usuários no servidor de nomes'
    else
    if nomeArq = 'PPAJUD2' then
        s := 'C - configura o programa'
    else
    if nomeArq = 'PPAJUD3' then
        s := 'E - Espera que alguém inicie uma conexão com este programa'
    else
    if nomeArq = 'PPAJUD4' then
        s := 'L - Inicia uma ligação com outro usuário'
    else
    if nomeArq = 'PPAJUD5' then
        s := 'M - Envia mensagem urgente para outro usuário'
    else
    if nomeArq = 'PPAJUD6' then
        s := 'ESC - termina o programa'
    else
    if nomeArq = 'PPQUALIP' then
        s := 'Qual o endereço eletrônico a conectar ? '
    else
    if nomeArq = 'PPERCON' then
        s := 'Não consegui realizar a conexão'
    else
    if nomeArq = 'PPNAODSP' then
        s := 'Parceiro não disponível'
    else
    if nomeArq = 'PPRECUSA' then
        s := 'Parceiro recusou conexão, veja mensagem'
    else
    if nomeArq = 'PPWSOCK' then
        s := 'Acesso a Internet não habilitado'
    else
    if nomeArq = 'PPESPERA' then
        s := 'Esperando parceiro'
    else
    if nomeArq = 'PPESPLIG' then
        s := 'Tentando estabelecer ligação'
    else
    if nomeArq = 'PPCONPED' then
        s := 'Conexão pedida por '
    else
    if nomeArq = 'PPACEITA' then
        s := 'Aceita ? '
    else
    if nomeArq = 'PPCONREC' then
        s := 'Recusei a conexão'
    else
    if nomeArq = 'PPOTIMO' then
        s := 'Otimo'
    else
    if nomeArq = 'PPESPCAN' then
        s := 'Espera cancelada'
    else
    if nomeArq = 'PPINIPAP' then
        s := 'Iniciando bate papo'
    else
    if nomeArq = 'PPFIMPAP' then
        s := 'Fim do bate papo'
    else
    if nomeArq = 'PPESCTRM' then
        s := 'Tecle ESC para desligar, F1 para ajuda'
    else
    if nomeArq = 'PPLOGON' then
        s := 'Registrando presença no servidor de nomes'
    else
    if nomeArq = 'PPLOGOFF' then
        s := 'Registrando saída'
    else
    if nomeArq = 'PPNAOCON'then
        s := 'Não consegui registrar conexão'
    else
    if nomeArq = 'PPXCADAS' then
        s := 'Execute cadastro'
    else
    if nomeArq = 'PPREGOK' then
        s := 'Presença registrada'
    else
    if nomeArq = 'PPPEGAIP' then
        s := 'Consultando servidor de nomes'
    else
    if nomeArq = 'PPNOMUSU' then
        s := 'Qual o seu nome ?'
    else
    if nomeArq = 'PPENDUSU' then
        s := 'Qual o seu endereço eletrônico ?'
    else
    if nomeArq = 'PPNCONH' then
        s := 'Servidor não conhece este usuário'
    else
    if nomeArq = 'PPPROVAV' then
        s := 'Parceiro provavelmente em '
    else
    if nomeArq = 'PPERRSRV' then
        s := 'Não consegui acionar servidor de nomes'
    else
    if nomeArq = 'PPVOCEST' then
        s := 'Seu IP é '
    else
    if nomeArq = 'PPERRGRV' then
        s := 'Erro no módulo de som, verifique espaço em disco'
    else
    if nomeArq = 'PPPODSER' then
        s := 'Pode ser ? '
    else
    if nomeArq = 'PPSERV' then
        s := 'Seu servidor está configurado como'
    else
    if nomeArq = 'PPSNOME' then
        s := 'Seu nome esta configurado como'
    else
    if nomeArq = 'PPSEND' then
        s := 'Seu endereço eletrônico esta configurado como'
    else
    if nomeArq = 'PPQNARQ' then
        s := 'Informe o nome do arquivo que contém suas informações (até 10 linhas)'
    else
    if nomeArq = 'PPCARNAO' then
        s := 'Arquivo não existe, cartão de visitas não será criado.'
    else
    if nomeArq = 'PPARQNAO' then
        s := 'Arquivo não existe'
    else
    if nomeArq = 'PPCNFREG' then
        s := 'Confirma registro ? '
    else
    if nomeArq = 'PPTIPPSQ' then
        s := 'Qual o tipo de pesquisa (F1 ajuda): '
    else
    if nomeArq = 'PPOPINEX' then
        s := 'Opção inexistente'
    else
    if nomeArq = 'PPINFEND' then
        s := 'Informe endereço eletrônico desejado'
    else
    if nomeArq = 'PPAJUPQ1' then
        s := 'As opções de pesquisa são:'
    else
    if nomeArq = 'PPAJUPQ2' then
        s := 'T - todos aqueles cadastrados'
    else
    if nomeArq = 'PPAJUPQ3' then
        s := 'A - apenas os ativos'
    else
    if nomeArq = 'PPAJUPQ4' then
        s := 'N - busca por nome'
    else
    if nomeArq = 'PPAJUPQ5' then
        s := 'C - cartões de visita'
    else
    if nomeArq = 'PPNAOLOG' then
        s := 'Não está logado no servidor'
    else
    if nomeArq = 'PPENDELE' then
        s := 'Correio eletrônico: '
    else
    if nomeArq = 'PPDATULT' then
        s := 'Última informação registrada: '
    else
    if nomeArq = 'PPAJSEL' then
        s := 'I-informações   ENTER-seleciona  ESC-termina'
    else
    if nomeArq = 'PPOPINV' then
        s := 'Opção inválida, F1 ajuda'
    else
    if nomeArq = 'PPULTNOM' then
        s := 'Este foi o último nome'
    else
    if nomeArq = 'PPPOSSO' then
        s := 'Posso chamar '
    else
    if nomeArq = 'PPCNTFOL' then
        s := 'Continue folheando ou tecle ESC'
    else
    if nomeArq = 'PPUSESET' then
        s := 'Folheando: use as setas, depois tecle sua opção'
    else
    if nomeArq = 'PPUSUSEL' then
        s := 'Usuário selecionado'
    else
    if nomeArq = 'PPINFPES' then
        s := 'Informações pessoais:'
    else
    if nomeArq = 'PPNENHUM' then
        s := 'Nenhuma informação registrada'
    else
    if nomeArq = 'PPNOMTRA' then
        s := 'Informe o nome do arquivo a transmitir ?'
    else
    if nomeArq = 'PPARQN' then
        s := 'Arquivo não existe'
    else
    if nomeArq = 'PPINITRA' then
        s := 'Iniciando transmissão do arquivo'
    else
    if nomeArq = 'PPBEMTRA' then
        s := 'Arquivo bem transmitido'
    else
    if nomeArq = 'PPPROTRA' then
        s := 'Problemas na transmissão do arquivo'
    else
    if nomeArq = 'PPTRACAN' then
        s := 'Transmissão de arquivo cancelada'
    else
    if nomeArq = 'PPNOMREC' then
        s := 'Qual o nome do arquivo a receber ?'
    else
    if nomeArq = 'PPNAOCRI' then
        s := 'Não consegui criar o arquivo'
    else
    if nomeArq = 'PPINIREC' then
        s := 'Iniciando recepção de arquivo'
    else
    if nomeArq = 'PPBEMREC' then
        s := 'Arquivo bem recebido'
    else
    if nomeArq = 'PPPROREC' then
        s := 'Problemas na recepção do arquivo'
    else
    if nomeArq = 'PPRECCAN' then
        s := 'Recepção de arquivo cancelada'
    else
    if nomeArq = 'PPQVELOC' then
        s := 'Qual a velocidade de fala, de 1 a 4 ? '
    else
    if nomeArq = 'PPSOLET' then
        s := 'Soletra digitação ? '
    else
    if nomeArq = 'PPNAOPEN' then
        s := 'Não há ninguém querendo falar com você'
    else
    if nomeArq = 'PPHORA' then
        s := 'A hora atual é '
    else
    if nomeArq = 'PPHCONE' then
        s := 'Hora de conexão: '
    else
    if nomeArq = 'PPXMINUT' then
        s := ' minutos '
    else
    if nomeArq = 'PPXHORAS' then
        s := ' horas '
    else
    if nomeArq = 'PPAJUT0' then
        s := 'Os comandos são os seguintes'
    else
    if nomeArq = 'PPAJUT1' then
        s := 'F1 ajuda, control F1 repete teclagem'
    else
    if nomeArq = 'PPAJUT2' then
        s := 'F2 transmite um arquivo'
    else
    if nomeArq = 'PPAJUT3' then
        s := 'F3 recebe um arquivo'
    else
    if nomeArq = 'PPAJUT4' then
        s := 'F4 altera fala'
    else
    if nomeArq = 'PPAJUT5' then
        s := 'F5 envia mensagem urgente para outro usuário'
    else
    if nomeArq = 'PPAJUT6' then
        s := 'F6 informa ip desta conexão'
    else
    if nomeArq = 'PPAJUT7' then
        s := 'F7 repete fala, control F7 repete mensagem urgente'
    else
    if nomeArq = 'PPAJUT8' then
        s := 'F8 informa tempo de conexão'
    else
    if nomeArq = 'PPAJUT9' then
        s := 'F9 aciona leitor de telas'
    else
    if nomeArq = 'PPAPTF1' then
        s := 'Aperte F1 para ajuda'
    else
    if nomeArq = 'PPQUERGV' then
        s := 'Parceiro deseja enviar '
    else
    if nomeArq = 'PPERRCOM' then
        s := 'Erro de comunicação na Internet'
    else
    if nomeArq = 'PPSOPRO' then
        s := 'Somente disponível na versão PRO'
    else
    if nomeArq = 'PPNOMSER' then
        s := 'Qual o seu servidor ?'
    else
    if nomeArq = 'PPRECUEM' then
        s := 'Servidor desconheceu seu e-mail'
    else
    if nomeArq = 'PPNINGUE' then
        s := 'Ninguém foi encontrado'
    else
    if nomeArq = 'PPNOMBUS' then
        s := 'Informe parte do nome a buscar'
    else
    if nomeArq = 'PPINFMSG' then
        s := 'Informe a mensagem a enviar'
    else
    if nomeArq = 'PPMSGENV' then
        s := 'Mensagem foi enviada'
    else
    if nomeArq = 'PPMSGURG' then
        s := 'Mensagem urgente de '
    else
    if nomeArq = 'PPIDSECR' then
        s := 'Deseja manter em sua real identidade em segredo ? '
    else
    if nomeArq = 'PPNOMFAN' then
        s := 'Informe então seus dados de fantasia'
    else
    if nomeArq = 'PPERRREG' then
        s := 'Não consegui registrar no servidor de nomes'
    else
    if nomeArq = 'PPNUMIP' then
        s := 'Número IP desta conexão'

    else
        s := '--> Mensagem inválida: ' + nomeArq;

    write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}
{                    bipa no speaker
{--------------------------------------------------------}

procedure bipSpeaker (pitch: integer);
begin
    OpenSound;
    setVoiceNote (1, pitch, 20, 1);
    StartSound;
    WaitSoundState (S_QueueEmpty);
    StopSound;
    CloseSound;
end;

end.
